Skip to main content
POST
getBlocks

Authorizations

api_key
string
query
required

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1
required

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getBlocks
required

The name of the RPC method to invoke.

Available options:
getBlocks
Example:

"getBlocks"

params
integer · integer · object[]
required

Request parameters for the method.

Start slot (required).

Example:

5

Response

Successfully retrieved confirmed blocks.

jsonrpc
enum<string>
Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
integer[]

List of confirmed blocks between start_slot and end_slot.

Example: